/*  hanoi.cpp: solve hanoi puzzle */
#include<stdio.h>
void hanoi(int n, int from, int to)
{
	int temp = 6 - from - to;	/* 1+2+3=6=from+to+temp */
	if (n == 1)
		printf("%d->%d\n", from, to);
	else if (n < 1) {
		printf("error bad argument\n");
		return;
	} else {
		hanoi(n - 1, from, temp);
		printf("%d->%d\n", from, to);
		hanoi(n - 1, temp, to);
	}
}
int main()
{
	int i;
	printf("Enter a positive integer : ");
	scanf("%d", &i);
	if (i & lt; 1) {
		printf("you entered %d\nIt must be positive\n", i);
		return 1;
	}
	printf("start solving ...\n");
	hanoi(i, 1, 2);
	return 0;
}
