/* ex1.c: simple example for a window with a "Hello, world!" btn*/
/* usual start */
#include <gtk/gtk.h>

int main(int argc, char *argv[])
{
/* define pointers to window and button */
GtkWidget *win, *btn;
/* init the library */
gtk_init(&argc, &argv);

/* design goes here */
/* allocate a new window */
win = gtk_window_new(GTK_WINDOW_TOPLEVEL);
/* allocate a new button */
btn = gtk_button_new_with_label("Hello World !!");
/* but that button in the window */
gtk_container_add (GTK_CONTAINER (win), btn);
/* set the window starting size */
gtk_window_set_default_size(GTK_WINDOW(win), 200, 200);

/* set event handlers */
/* when event 'distroy' comes to window (by click on x-button) quit */
g_signal_connect(G_OBJECT(win), "destroy", G_CALLBACK(gtk_main_quit), NULL);

/* show the window and all of it's contents */
gtk_widget_show_all(win);

/* usual end */
/* stay in the loop - waiting for events */
gtk_main();
return 0;
}
