/*
 *
 * alared.c
 * tga bmp pcx Image Viewer by ErrorMSG
 * This program is GPLed visit www.gnu.org and read GPL
 *
 */
#include< stdio.h >
// include the Allegro lib
#include< allegro.h >
BITMAP *myPic;
PALETTE pal1;
int main( int argc,char *argv[]) {
 if (argc==1) {
        allegro_message("\tSyntax:\n%s filename\n",argv[0]);
        return 1;
}
 myPic= load_bitmap( argv[1], pal1);
 if (!myPic) {
        allegro_message("Error loading %s",argv[1]);
        return 2;
 }
 allegro_init();
 install_keyboard();
 set_color_depth(16);
 if (set_gfx_mode(GFX_SAFE , myPic->w, myPic->h, 0, 0) != 0) {
        set_gfx_mode(GFX_TEXT, 0, 0, 0, 0);
        allegro_message("Unable to set any graphic mode\n%s\n", allegro_error);
        retrun 3;
 }
 if (bitmap_depth(myPic)==8) { set_palette( pal1 );}
 blit(myPic, screen, 0, 0, 0,0, myPic->w, myPic->h);
 while(!key[KEY_ESC]); // wait ESC
 return 0; // return success
}
