#include<time.h>
#include<stdlib.h>
#include<glib.h>
int main() {
        gint i,j,n;
        GTimer *timer1=g_timer_new();
        GError *error=NULL;
        GRand *rand1=g_rand_new();
        /* timer test */
        g_print("sleeping for 1,500,000 msec\n");
        g_timer_reset(timer1); g_timer_start(timer1);
                g_usleep(1500000 );
        g_timer_stop(timer1);
        g_print("1,500,000 msec needs %g sec\n",g_timer_elapsed(timer1,NULL));
        /* timer test end */
        /* test libc random numbers */
        g_timer_reset(timer1); g_timer_start(timer1);
                srand(time(NULL));
                for(i=0;i<900000;++i) {
                        j=rand(rand1);
                        j=rand(rand1)%6+1;
                }
        g_timer_stop(timer1);
        g_print("using libc needs %g sec\n",g_timer_elapsed(timer1,NULL));
        /* test glib random numbers */
        g_timer_reset(timer1);  g_timer_start(timer1);
                g_rand_set_seed(rand1,time(NULL));
                for(i=0;i<900000;++i) {
                        j=g_rand_int(rand1);
                        j=g_rand_int_range(rand1,1,7); /* 1,2,..,6 */
                }
        g_timer_stop(timer1);
        g_print("using glib needs %g sec\n",g_timer_elapsed(timer1,NULL));
        return 0;
}
