/*       myfifo-client.c - sample fifo testing client   *
 *       run it as 'myfifo-client string'               */
#include <stddef.h>
#include <stdio.h>
#include <errno.h>
#include <stdlib.h>
#include <unistd.h>
#include <sys/stat.h>
#define MYFIFO "/tmp/myfifo"
#define MY_MAX 180
int main(int argc,char argv[]) {
        FILE *f;
        stat mystat;
        if (argc!=2) {
                printf("myfifo-client: sample fifo testing client
syntax: myfifo-client STRGING
where STRING is the string to send to server.
example:
        myfifo-client 'Hello every body'
");
                exit(0);
        }
        if (stat(MYFIFO,&mystat)||!S_ISFIFO(mystat.st_mode)) {
                perror("Server is not running");
                exit(1);
        }
        printf("myfifo-client: sending [%s] to server\n",argv[1]);
        if (!f=fopen(MYFIFO,"w")) {
                perror("Could not open file");
                exit(1);
        }
        fputs(argv[1],f);
        fclose(f);
}
