/*       myfifo-serv.c - sample fifo testing server     *
 *       run it in the background to have a server      */
#include <stddef.h>
#include <stdio.h>
#include <errno.h>
#include <stdlib.h>
#include <unistd.h>
#include <sys/stat.h>
#define MYFIFO "/tmp/myfifo"
#define MY_MAX 180
int main() {
        FILE *f;
        char str[MY_MAX];
        remove(MYFIFO);

        if (mknod(MYFIFO,S_IFIFO|0666,0)) {
                perror("Could not create file");
                exit(1);
        }
        if (!f=fopen(MYFIFO,"r")) {
                perror("Could not open file");
                exit(1);
        }
        printf("myfifo-serv: waiting to recive data from clients\n");
        printf("myfifo-serv: use myfifo-client to send data\n");
        while(1) {
                fgets(str,MY_MAX,f);
                printf("myfifo-serv: string received [%s]\n",str);
        }
}
3