// mylist.h: MyList Class header file
/*
 * A project to show how to make a multi file project.
 * By Moayyad Al-Sadi
 * (c) Copyleft 2004, under terms of LGPL
 */
#ifndef _MY_LIST_
#define _MY_LIST_
	// define external MyListVersion in clients
	#ifndef _MY_LIST_CPP_
		extern const char * MyListVersion;
	#endif
// ListNode is a struct used by MyList
struct ListNode {
	int value;
	ListNode *next,*prev;
};
class MyList {
	// public members
		public:
	MyList();			// constructor
	~MyList();			// destructor
	int Count();			// tell number or items
	ListNode* Add(int val);		// add item
	void ForEach(void (*)(int &));	// do somethig with items
	int *Head();			// Goto 1st item
	int *Tail();			// Goto last item
	int *Next();			// Goto next item
	int *Prev();			// Goto previous item
	// private members
		private:
	int n;
	ListNode *head,*tail,*current;
};
#endif